%define name		oldbsf
%define base_name	bsf
%define version		2.2
%define cvs_version	2_2
%define release		6jpp
%define javadir		%{_datadir}/java
%define javadocdir	%{_datadir}/javadoc
%define section		free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:        Bean Scripting Framework
License:        IBM Public License
Url:            http://www-124.ibm.com/developerworks/projects/bsf
Group:          Development/Libraries/Java
Vendor:         JPackage Project
Distribution:	JPackage
Source0:        %{base_name}-src-%{version}.tar.gz
Requires:       xalan-j1
Requires:       rhino
BuildRequires:  ant
BuildRequires:  xalan-j1
BuildRequires:  rhino
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot

%description
The Bean Scripting Framework (BSF) is an architecture for incorporating
scripting into Java applications and applets. Scripting languages such
as Netscape Rhino (Javascript), VBScript, Perl, Tcl, Python, NetRexx and
Rexx are commonly used to augment an application's function or to script
together a set of application components to form an application.
There are many scripting languages implemented in Java, including
Netscape's Rhino implementation of ECMAScript, Jacl and JPython. While
each of these is embeddable in Java and provides the ability to interact
with Java from the language, using a specific scripting language binds
an application to that single language.
The Java world currently does not have a well-defined scripting
architecture that allows Java applications to incorporate scripting
easily - BSF is such an architecture. The BSF architecture allows an
application to be scripted from any BSF supported language, without any
scripting language dependencies.
BSF supports both directions of scripting: in one case where the
Java-side is in charge and runs/evaluates scripts at will, and in the
other case the script runs and controls Java beans. Notice that while we
use the word "bean", it is used loosely - BSF works with any Java object
and not just a true bean.

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -n %{base_name}-%{cvs_version}
# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;

%build
export CLASSPATH=\
%{javadir}/rhino.jar:\
%{javadir}/xalan-j1.jar
ant compile
rm -rf src/com/ibm/bsf/engines/java
ant javadocs

%install
# jar
install -d -m 755 $RPM_BUILD_ROOT%{javadir}
install -m 644 build/lib/%{base_name}.jar $RPM_BUILD_ROOT%{javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{javadir} && for jar in *-%{version}*; do ln -sf ${jar} ${jar/-%{version}/}; done)
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}
cp -pr build/javadocs/* $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc license.html
%{javadir}/*

%files javadoc
%defattr(-,root,root)
%{javadocdir}/%{name}-%{version}

%changelog
* Mon Jan 20 2003 David Walluck <david@anti-microsoft.org> 2.2-6jpp
- oldbsf

* Tue May 07 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.2-5jpp 
- vendor, distribution, group tags
- versioned dir for javadoc
- section macro

* Sat Dec 1 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.2-4jpp
- javadoc in javadoc package

* Wed Nov 21 2001 Christian Zoffoli <czoffoli@littlepenguin.org> 2.2-3jpp
- removed packager tag
- new jpp extension
- fixed url

* Sat Oct 6 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.2-2jpp
- first unified release
- used original tarball
- s/jPackage/JPackage

* Thu Aug 30 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.2-1jpp
- first Mandrake release
